version: 0.1
log:
  fields:
    service: registry
storage:
  cache:
    blobdescriptor: inmemory
  filesystem:
    rootdirectory: {{ docker_registry_storage_path }}
    maxthreads: 100
  delete:
    enabled: {{ docker_registry_delete_mode }}
maintenance:
    readonly:
      enabled: {{ docker_registry_readonly_mode }}
http:
  addr: :{{ docker_registry_port }}
  hostname: https://{{ docker_registry_hostname }}:{{ docker_registry_port }}
  secret: {{ docker_registry_http_secret }}
  tls:
    certificate: {{ docker_registry_config_path }}/letsencrypt/registry.crt
    key: {{ docker_registry_config_path }}/letsencrypt/registry.key
auth:
  htpasswd:
    realm: {{ docker_registry_realm }}
    path: {{ docker_registry_config_path }}/auth/registry.htpasswd
health:
  storagedriver:
    enabled: true
    interval: 10s
    threshold: 3
